property pCastORIG, pCastFB1, pFB2, pCUR, pMASK, pCURdn, pMASKdn

on getPropertyDescriptionList
  pippo = the memberNum of sprite the currentSpriteNum
  pluto = pippo + 1
  propertyDescriptionList = [#pCastORIG: [#comment: "Numero elemento del Cast di origine del bottone", #format: #integer, #default: pippo], #pCastFB1: [#comment: "Numero elemento del Cast del primo feedback", #format: #integer, #default: pluto], #pFB2: [#comment: "Seleziona se tasto SUCCESSIVO", #format: #boolean, #default: 0], #pCUR: [#comment: "Numero elemento del Cast da utilizzare come cursore", #format: #bitmap, #default: member(100)], #pMASK: [#comment: "Maschera cursore", #format: #bitmap, #default: member(101)], #pCURdn: [#comment: "Numero elemento del Cast da utilizzare come cursore per il mousedown", #format: #bitmap, #default: member(102)], #pMASKdn: [#comment: "Maschera cursore", #format: #bitmap, #default: member(103)]]
  return propertyDescriptionList
end

on mouseWithin me
  set the memberNum of sprite the currentSpriteNum to pCastFB1
  cursor(280)
  updateStage()
end

on mouseLeave me
  set the memberNum of sprite the currentSpriteNum to pCastORIG
  cursor(-1)
  updateStage()
end

on mouseDown me
  global gCurrTXT
  go("giornale")
  case gCurrTXT of
    "1853-69t":
      if pFB2 = 0 then
        gCurrTXT = "29-7-1890t"
        set the member of sprite 8 to member("Ottava", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(17).visible = 0
        sprite(10).visible = 1
      else
        gCurrTXT = "1869-78t"
        set the member of sprite 8 to member("Seconda", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(10).visible = 1
        sprite(11).visible = 0
      end if
    "1869-78t":
      if pFB2 = 0 then
        set the member of sprite 8 to member("Prima", "pict")
        gCurrTXT = "1853-69t"
        set the member of sprite 20 to gCurrTXT
        sprite(10).visible = 0
        sprite(11).visible = 1
      else
        gCurrTXT = "1879-80t"
        set the member of sprite 8 to member("Terza", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(11).visible = 1
        sprite(12).visible = 0
      end if
    "1879-80t":
      if pFB2 = 0 then
        gCurrTXT = "1869-78t"
        set the member of sprite 8 to member("Seconda", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(11).visible = 0
        sprite(12).visible = 1
      else
        gCurrTXT = "1881-85t"
        set the member of sprite 8 to member("Quarta", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(12).visible = 1
        sprite(13).visible = 0
      end if
    "1881-85t":
      if pFB2 = 0 then
        gCurrTXT = "1879-80t"
        set the member of sprite 8 to member("Terza", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(12).visible = 0
        sprite(13).visible = 1
      else
        gCurrTXT = "1886-87t"
        set the member of sprite 8 to member("Quinta", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(13).visible = 1
        sprite(14).visible = 0
      end if
    "1886-87t":
      if pFB2 = 0 then
        gCurrTXT = "1881-85t"
        set the member of sprite 8 to member("Quarta", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(13).visible = 0
        sprite(14).visible = 1
      else
        gCurrTXT = "1888-89t"
        set the member of sprite 8 to member("Sesta", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(14).visible = 1
        sprite(15).visible = 0
      end if
    "1888-89t":
      if pFB2 = 0 then
        gCurrTXT = "1886-87t"
        set the member of sprite 8 to member("Quinta", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(14).visible = 0
        sprite(15).visible = 1
      else
        gCurrTXT = "1890t"
        set the member of sprite 8 to member("Settima", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(15).visible = 1
        sprite(16).visible = 0
      end if
    "1890t":
      if pFB2 = 0 then
        gCurrTXT = "1888-89t"
        set the member of sprite 8 to member("Sesta", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(15).visible = 0
        sprite(16).visible = 1
      else
        gCurrTXT = "29-7-1890t"
        set the member of sprite 8 to member("Ottava", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(16).visible = 1
        sprite(17).visible = 0
      end if
    "29-7-1890t":
      if pFB2 = 0 then
        gCurrTXT = "1890t"
        set the member of sprite 8 to member("Settima", "pict")
        set the member of sprite 20 to gCurrTXT
        sprite(16).visible = 0
        sprite(17).visible = 1
      else
        set the member of sprite 8 to member("Prima", "pict")
        gCurrTXT = "1853-69t"
        set the member of sprite 20 to gCurrTXT
        sprite(17).visible = 1
        sprite(10).visible = 0
      end if
  end case
  nomeFigura = sprite(8).member.name
  repeat with i = 1 to the number of lines in field "didaImmagini"
    tmp = item 1 of line i of field "didaimmagini"
    if tmp = nomeFigura then
      set the text of field "dida" to item 2 of line i of field "didaimmagini"
      set the text of field "dida2" to item 2 of line i of field "didaimmagini" && item 3 of line i of field "didaimmagini"
      exit repeat
    end if
  end repeat
  updateStage()
  controllatesto()
  member(gCurrTXT).scrollTop = 0
  updateStage()
end
