property pCastORIG, pCastFB1, pFB2, pCastFB2, pCUR, pMASK, pCURdn, pMASKdn

on getPropertyDescriptionList
  pippo = the memberNum of sprite the currentSpriteNum
  pluto = pippo + 1
  paperino = pippo + 2
  propertyDescriptionList = [#pCastORIG: [#comment: "Numero elemento del Cast di origine del bottone", #format: #integer, #default: pippo], #pCastFB1: [#comment: "Numero elemento del Cast del primo feedback", #format: #integer, #default: pluto], #pFB2: [#comment: "E' previsto il secondo feedback?", #format: #boolean, #default: 0], #pCastFB2: [#comment: "Eventuale numero elemento del Cast del secondo feedback", #format: #integer, #default: paperino], #pCUR: [#comment: "Numero elemento del Cast da utilizzare come cursore", #format: #bitmap, #default: member(100)], #pMASK: [#comment: "Maschera cursore", #format: #bitmap, #default: member(101)], #pCURdn: [#comment: "Numero elemento del Cast da utilizzare come cursore per il mousedown", #format: #bitmap, #default: member(102)], #pMASKdn: [#comment: "Maschera cursore", #format: #bitmap, #default: member(103)]]
  return propertyDescriptionList
end

on mouseEnter me
  set the memberNum of sprite the currentSpriteNum to pCastFB1
  cursor(280)
  updateStage()
end

on mouseLeave me
  if the memberNum of sprite the currentSpriteNum <> pCastFB2 then
    set the memberNum of sprite the currentSpriteNum to pCastORIG
  end if
  cursor(-1)
  updateStage()
end

on mouseDown me
  global gCurrTXT
  cursor(280)
  set the memberNum of sprite the currentSpriteNum to pCastFB2
  updateStage()
  repeat with i = 10 to 17
    sprite(i).visible = 1
  end repeat
  sprite(the currentSpriteNum).visible = 0
  set the memberNum of sprite the currentSpriteNum to pCastORIG
  updateStage()
  go("giornale")
  set the text of field "dida" to EMPTY
  n = the memberNum of sprite the clickOn
  nome = member(n).name
  gCurrTXT = nome & "t"
  member(gCurrTXT).scrollTop = 0
  set the memberNum of sprite 20 to the number of member gCurrTXT
  case pCastORIG of
    169:
      set the member of sprite 8 to member("Prima", "pict")
    172:
      set the member of sprite 8 to member("Seconda", "pict")
    175:
      set the member of sprite 8 to member("Terza", "pict")
    178:
      set the member of sprite 8 to member("Quarta", "pict")
    181:
      set the member of sprite 8 to member("Quinta", "pict")
    184:
      set the member of sprite 8 to member("Sesta", "pict")
    187:
      set the member of sprite 8 to member("Settima", "pict")
    190:
      set the member of sprite 8 to member("Ottava", "pict")
  end case
  nomeFigura = sprite(8).member.name
  repeat with i = 1 to the number of lines in field "didaImmagini"
    tmp = item 1 of line i of field "didaimmagini"
    if tmp = nomeFigura then
      set the text of field "dida" to item 2 of line i of field "didaimmagini"
      set the text of field "dida2" to item 2 of line i of field "didaimmagini" && item 3 of line i of field "didaimmagini"
      exit repeat
    end if
  end repeat
  updateStage()
  controllatesto()
  cursor(-1)
  updateStage()
end
